KIO::MetaInfoJob class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::MetaInfoJob Class Reference

Since:
  3.1

More...

`#include <metainfojob.h>`

Inheritance diagram for KIO::MetaInfoJob:

[legend]
Collaboration diagram for KIO::MetaInfoJob:

[legend]
List of all members.

## Signals
void | gotMetaInfo (const KFileItem *item)
| Emitted when the meta info for `item` has been successfully retrieved.
void | failed (const KFileItem *item)
| Emitted when metainfo for `item` could not be extracted, either because a plugin for its MIME type does not exist, or because something went wrong.
## Public Member Functions
| MetaInfoJob (const KFileItemList &items, bool deleteItems=false)
| Constructor.
void | removeItem (const KFileItem *item)
| Removes an item from metainfo extraction.
## Static Public Member Functions
QStringList | availablePlugins ()
QStringList | supportedMimeTypes ()
## Protected Slots
virtual void | slotResult (KIO::Job *job)
| Called whenever a subjob finishes.
## Protected Member Functions
void | getMetaInfo ()

## Detailed Description

Since:
  3.1

Definition at line 33 of file metainfojob.h.

## Constructor & Destructor Documentation

MetaInfoJob::MetaInfoJob | ( | const KFileItemList & | items,
|  | bool | deleteItems = false
| ) |

  | Constructor. Parameters:
  items | A list of KFileItems to get the metainfo for
  deleteItems | If true, the finished KFileItems are deleted
Definition at line 44 of file metainfojob.cpp. References KIO::Job::emitResult(), and QTimer::singleShot().

## Member Function Documentation

void MetaInfoJob::removeItem | ( | const KFileItem * | item | ) |

  | Removes an item from metainfo extraction. Parameters:
  item | the item that should be removed from the queue
Definition at line 80 of file metainfojob.cpp. References QPtrList< Job >::first(), and QPtrList< Job >::removeFirst().

QStringList MetaInfoJob::availablePlugins | ( |  | ) | `[static]`

| Returns: a list of all available metainfo plugins. The list contains the basenames of the plugins' .desktop files (no path, no .desktop). Definition at line 157 of file metainfojob.cpp. References QValueList::begin(), QValueList::end(), KTrader::OfferList, KTrader::query(), KIO::Job::result(), and KTrader::self().

QStringList MetaInfoJob::supportedMimeTypes | ( |  | ) | `[static]`

| Returns: a list of all supported MIME types. The list can contain entries like text/ * (without the space). Definition at line 166 of file metainfojob.cpp. References QValueList::begin(), QValueList::end(), KTrader::OfferList, KTrader::query(), KIO::Job::result(), and KTrader::self().

void KIO::MetaInfoJob::gotMetaInfo | ( | const KFileItem * | item | ) | `[signal]`

| Emitted when the meta info for `item` has been successfully retrieved.

void KIO::MetaInfoJob::failed | ( | const KFileItem * | item | ) | `[signal]`

| Emitted when metainfo for `item` could not be extracted, either because a plugin for its MIME type does not exist, or because something went wrong.

void MetaInfoJob::slotResult | ( | KIO::Job * | job | ) | `[protected, virtual, slot]`

| Called whenever a subjob finishes. Default implementation checks for errors and propagates to parent job, then calls removeSubjob. Override if you don't want subjobs errors to be propagated. Reimplemented from KIO::Job. Definition at line 116 of file metainfojob.cpp. References QPtrList< Job >::isEmpty(), and QPtrList< Job >::remove().

The documentation for this class was generated from the following files:

- metainfojob.h
- metainfojob.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001